Create Payment

Use the /createPayment endpoint to move funds into an account. Successfully calling this endpoint will credit the target account. As with Create Fee and Create Adjustment, Spidr will work with your program to configure 'payment types' and the underlying funds movement.


📘 Note: This endpoint will respect any load or velocity limits per your program configuration. Spidr will work with you to set these values as part of your program setup.

Body Params

POST /v1/transaction/createPayment Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

string
required

Pass in the Spidr account ID

string
required

The type of payment to create, values to be configured with Spidr.

double
required
≤ 10000000

The amount of the payment.

string
required
length between 1 and 40

The description of the payment.

double | null
≤ 10000000

The amount to hold for the payment.

date-time | null

The date and time the hold will expire. YYYY-MM-DDTHH:MM:SS format.

string | null

A description of the hold.

string | null

An external ID for the hold.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json